aboutsummaryrefslogtreecommitdiff
path: root/checkout.sh
diff options
context:
space:
mode:
authorGunnar Morling <gunnar.morling@googlemail.com>2024-01-13 12:20:49 +0100
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-13 12:23:06 +0100
commit45056e073b1301b2398802255737f39bb2d99252 (patch)
tree1677a9ee60f52b8d639679d20709b0f67b4f845a /checkout.sh
parenteff73db9fe5437a512d8a205b3baabbd6e62cd01 (diff)
Script cleanup
Diffstat (limited to 'checkout.sh')
-rwxr-xr-xcheckout.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/checkout.sh b/checkout.sh
new file mode 100755
index 0000000..0a86c0a
--- /dev/null
+++ b/checkout.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Copyright 2023 The original authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -x
+
+if [ -z "$1" ]
+ then
+ echo "Usage: checkout.sh <fork name>:<branch name>"
+ exit 1
+fi
+
+parts=(${1//:/ })
+echo " User: ${parts[0]}"
+echo "Branch: ${parts[1]}"
+
+git branch -D ${parts[0]} &>/dev/null
+
+git checkout -b ${parts[0]}
+git fetch https://github.com/${parts[0]}/1brc.git ${parts[1]}
+# git fetch git@github.com:${parts[0]}/1brc.git ${parts[1]}
+git reset --hard FETCH_HEAD
+git rebase main